﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Sample_WPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {

        ViewModel view = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();

            SfChart chart = new SfChart() { Margin = new Thickness(10) };

            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis() { Minimum = 0, Maximum = 10 };

            LineSeries myLineSeries = new LineSeries();

            chart.Legend = new ChartLegend() {FontSize = 15, FontStyle = FontStyles.Italic, Foreground = new SolidColorBrush(Colors.Red) };
            

            myLineSeries.ShowEmptyPoints = true;
            myLineSeries.ItemsSource = view.Collection;
            myLineSeries.XBindingPath = "XValue";
            myLineSeries.YBindingPath = "YValue";
            myLineSeries.StrokeThickness = 1.5;
            myLineSeries.Label = "Year 2011";

            chart.Series.Add(myLineSeries);
            grid.Children.Add(chart);
        }
    }
}
